# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'bitmap_compiler/version'

Gem::Specification.new do |spec|
  spec.name          = 'bitmap_compiler'
  spec.version       = BitmapCompiler::VERSION
  spec.authors       = ['Vitor Oliveira']
  spec.email         = ['vbrazo@gmail.com']

  spec.summary       = 'Bitmap Compiler API Ruby Client'
  spec.description   = 'Official Ruby Bitmap Compiler'
  spec.homepage      = 'https://github.com/vbrazo/bitmap_compiler'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(spec)/}) }
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'thor'

  spec.add_development_dependency 'bundler'
  spec.add_development_dependency 'faker'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'rubocop'
  spec.add_development_dependency 'simplecov'
end
